Ignored file /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist
Closed, ResolvedPublic

Description

In the past few days when I ran apt manually on Labs instances, I noticed:

scfc@tools-services-01:~/src/tools-manifest$ sudo apt-get install python-mysql.connector
Reading package lists... Done
[…]
Setting up python-mysql.connector (1.1.6-1) ...
N: Ignoring file '20auto-upgrades.ucf-dist' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
scfc@tools-services-01:~/src/tools-manifest$

This file is apparently from December 2013:

scfc@tools-services-01:~/src/tools-manifest$ ls -l /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist
-rw-r--r-- 1 root root 80 Dec  6  2013 /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist
scfc@tools-services-01:~/src/tools-manifest$

and contains apt configuration:

scfc@tools-services-01:~/src/tools-manifest$ cat /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist
APT::Periodic::Update-Package-Lists "0";
APT::Periodic::Unattended-Upgrade "0";
scfc@tools-services-01:~/src/tools-manifest$

that a) is ignored due to the file name's extension and b) would contradict (IIUC) that Labs instances include apt::unattendedupgrades by default (except Beta-Cluster-Infrastructure).

My assumption is that the instance used to build the VM images was/is dirty, but previously only explicitly named files from /etc/apt/apt.conf.d were copied. After @hashar's change 30b782bf3004950297d50070ab3bcc5dfc18cc59 was merged and new images were built, now all of /etc/apt/apt.conf.d is copied, including the cruft.

scfc created this task.Aug 24 2015, 4:30 PM
scfc updated the task description. (Show Details)
scfc raised the priority of this task from to Needs Triage.
scfc added a project: Cloud-Services.
scfc added subscribers: scfc, hashar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 4:30 PM

@scfc idea seems quite likely and it is quite trivial to verify: just look whether the image building host has /etc/apt/apt.conf.d/20auto-upgrades.ucf-dist

If so delete it on the host and new images need to be produced to get rid of it :-/

brion added a subscriber: brion.Oct 12 2015, 4:16 PM

I get this on a fresh instance.

hashar changed the task status from Open to Stalled.Oct 12 2015, 6:33 PM

Yup I broke it with https://gerrit.wikimedia.org/r/#/c/210024/1/modules/labs_vmbuilder/files/postinst.copy which causes the image building script to do a recursive copy and include the unwanted file.

That has been solved by Andrew with: https://gerrit.wikimedia.org/r/#/c/221268/2/modules/labs_vmbuilder/files/postinst.copy

From T104019:

Building new base images is tedious, and there's a fairly expensive (permanent) overhead for each image that we install; so I won't be rebuilding just for this :)

The file would have to be removed from the building host, then new images generated and that should fix it. See also T104019.

chasemp triaged this task as Normal priority.Nov 30 2015, 6:31 PM
chasemp added a subscriber: chasemp.
hashar closed this task as Resolved.Sep 26 2016, 8:37 AM
hashar claimed this task.

New labs images have been build and they no more shipp the 20auto-upgrades.ucf-dist file in my experience.

Mentioned in SAL (#wikimedia-cloud) [2018-11-07T10:37:18Z] <gtirloni> removed invalid apt.conf.d file from all hosts (T110055)